View information about all disks attached to a specific virtual machine (VM), including details like size, usage, and disk type.
/instance/[id] path.vmid vmid integer · min: 1 required
Example: 10000 Unique vmid identifier
Accept Example Content-Type Example data array<object> required
· Example: [{"name":"scsi0","storage":"block-storage-vm","path":"vm-10073-disk-0","size":"50G","ty... data[].bootOrder integer · nullable required
· Example: 1 Nullable: may be null when not applicable.
data[].device string required
· Example: /dev/scsi0 data[].isCdrom boolean required
· Example: false data[].name string required
· Example: scsi0 data[].path string required
· Example: vm-10073-disk-0 data[].readBytes integer required
· Example: 0 data[].readOps integer required
· Example: 0 data[].size string · enum required
· Example: 50G 200G 50G unknown data[].sizeBytes integer required
· Example: 53687091200 data[].sizeFormatted string · enum required
· Example: 50 GB 0 B 200 GB 50 GB data[].storage string required
· Example: block-storage-vm data[].type string · enum required
· Example: SCSI IDE SCSI data[].usedBytes integer required
· Example: 0 data[].usedFormatted string required
· Example: 0 B data[].usedPercent integer required
· Example: 0 data[].writeBytes integer required
· Example: 0 data[].writeOps integer required
· Example: 0 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/vm/{vmid}/disks curl -X GET "https://cloud.hostup.se/api/vm/10000/disks" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": [
{
"name": "scsi0",
"storage": "block-storage-vm",
"path": "vm-10073-disk-0",
"size": "50G",
"type": "SCSI",
"device": "/dev/scsi0",
"isCdrom": false,
"bootOrder": 1,
"sizeBytes": 53687091200,
"sizeFormatted": "50 GB",
"usedBytes": 0,
"usedFormatted": "0 B",
"usedPercent": 0,
"readBytes": 0,
"writeBytes": 0,
"readOps": 0,
"writeOps": 0
},
{
"name": "ide0",
"storage": "block-storage-vm",
"path": "vm-10073-cloudinit",
"size": "unknown",
"type": "IDE",
"device": "/dev/ide0",
"isCdrom": true,
"bootOrder": null,
"sizeBytes": 0,
"sizeFormatted": "0 B",
"usedBytes": 0,
"usedFormatted": "0 B",
"usedPercent": 0,
"readBytes": 0,
"writeBytes": 0,
"readOps": 0,
"writeOps": 0
}
]
}